summaryrefslogtreecommitdiffstats
path: root/bin/release
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2014-04-25 23:24:19 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2014-04-25 23:24:19 (GMT)
commit3fde3a16b5fa3c724f073660ebdc8686805c3921 (patch)
treefaeaffc4d9908c82e929aef7c3d4416727a49097 /bin/release
parentc6e3e682973aa793844e39376cb7ada93ce505ba (diff)
downloadhdf5-3fde3a16b5fa3c724f073660ebdc8686805c3921.zip
hdf5-3fde3a16b5fa3c724f073660ebdc8686805c3921.tar.gz
hdf5-3fde3a16b5fa3c724f073660ebdc8686805c3921.tar.bz2
[svn-r25120] HDFFV-8755: Remove compress option from bin/release
Tested: by hand. "bin/release ... compress" to see it failed and to see it succeeded when compress is not used.
Diffstat (limited to 'bin/release')
-rwxr-xr-xbin/release11
1 files changed, 5 insertions, 6 deletions
diff --git a/bin/release b/bin/release
index e8e54bd..fd04279 100755
--- a/bin/release
+++ b/bin/release
@@ -53,7 +53,6 @@ for compressing the resulting tar archive (if none are given then
"tar md5" is assumed):
tar -- use tar and don't do any compressing.
- compress -- use compress and append ".Z" to the output name.
gzip -- use gzip with "-9" and append ".gz" to the output name.
bzip2 -- use bzip2 with "-9" and append ".bz2" to the output name.
zip -- convert all text files to DOS style and form a zip file for Windows use.
@@ -69,7 +68,7 @@ Examples:
$ release gzip
releases/hdf5-1.0.38.tar.gz
- $ release -d /tmp tar compress gzip bzip2 md5
+ $ release -d /tmp tar gzip zip md5
/tmp/hdf5-1.0.38.tar
/tmp/hdf5-1.0.38.tar.Z
/tmp/hdf5-1.0.38.tar.gz
@@ -293,10 +292,6 @@ for comp in $methods; do
tar)
cp -p $tmpdir/$HDF5_VERS.tar $DEST/$HDF5_VERS.tar
;;
- compress)
- test "$verbose" && echo " Running compress..." 1>&2
- compress -c <$tmpdir/$HDF5_VERS.tar >$DEST/$HDF5_VERS.tar.Z
- ;;
gzip)
test "$verbose" && echo " Running gzip..." 1>&2
gzip -9 <$tmpdir/$HDF5_VERS.tar >$DEST/$HDF5_VERS.tar.gz
@@ -327,6 +322,10 @@ for comp in $methods; do
(cd $tmpdir && tar cf ${HDF5_VERS}_docs.tar ${HDF5_VERS}_docs)
mv $tmpdir/${HDF5_VERS}_docs.tar $DEST
;;
+ *)
+ echo "***Error*** Unknown method $comp"
+ exit 1
+ ;;
esac
done